SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Subversion Vendors:   subversion.tigris.org
Subversion 'rev_hunt.c' Memory Consumption Error Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1024935
SecurityTracker URL:  http://securitytracker.com/id/1024935
CVE Reference:   CVE-2010-4644   (Links to External Site)
Date:  Jan 5 2011
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 1.6.15
Description:   A vulnerability was reported in Subversion. A remote user can cause denial of service conditions.

A remote user can send a 'blame -g' command to cause the target service to consume excessive memory and hang or crash.

The vulnerability resides in 'libsvn_repos/rev_hunt.c'.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fix (1.6.15).
Vendor URL:  subversion.apache.org/ (Links to External Site)
Cause:   Resource error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 15 2011 (Red Hat Issues Fix) Subversion 'rev_hunt.c' Memory Consumption Error Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 5.
Feb 16 2011 (Red Hat Issues Fix) Subversion 'rev_hunt.c' Memory Consumption Error Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 6.



 Source Message Contents

Date:  Wed, 05 Jan 2011 22:29:28 +0000
Subject:  Apache Subversion


CVE-2010-4644

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC